<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:fo="http://www.w3.org/1999/XSL/Format" >

<xsl:variable name="show_table" select = "1"/>
<xsl:variable name="show_details" select = "1"/>
<xsl:variable name="details_icons" select = "1"/>
<xsl:variable name="show_images" select = "1"/>
<xsl:variable name="show_names" select = "1"/>
<xsl:variable name="show_domains" select = "1"/>
<xsl:variable name="show_shares" select = "1"/>
<xsl:variable name="show_groups" select = "1"/>
<xsl:variable name="show_users" select = "1"/>
<xsl:variable name="show_services" select = "1"/>
<xsl:variable name="show_transports" select = "1"/>
<xsl:variable name="show_drives" select = "1"/>
<xsl:variable name="show_uses" select = "1"/>
<xsl:variable name="show_processes" select = "1"/>
<xsl:variable name="show_tod" select = "1"/>
<xsl:variable name="show_policy" select = "1"/>
<xsl:variable name="show_registry" select = "1"/>
<xsl:variable name="show_hotfixes" select = "1"/>
<xsl:variable name="show_snmp" select = "1"/>
<xsl:variable name="show_tcp_ports" select = "1"/>
<xsl:variable name="show_udp_ports" select = "1"/>
<xsl:variable name="show_alerts" select = "1"/>

<xsl:template match="/" >
  <xsl:call-template name="GetHostInfo" />
</xsl:template>

<!-- ************************* Host general information ************************************************  -->

<xsl:template name="HostMainInfo" >

  <xsl:if test="$show_details=1">
    <br/>
        <xsl:if test="1">
	   <A name="{@Ip}"/>
	  <TABLE align ="center" border="1" BORDER="0" WIDTH="100%">
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif;font-size:14pt; font-weight:bold; background-color =#2F4F4F">
		<TH align="left" width="800" valign="top" style="width:7.10in;border:none windowtext .9pt;background:#3366cc;padding:0in 5.4pt 0in 4.4pt">
	        <FONT color="white" >
        	   <B> <xsl:value-of select="@Ip"/>
	           [ <xsl:value-of select="@OS"/> ]
           	   <FONT color="white">
	           <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
	           <xsl:choose>
	              <xsl:when test = "servpack > 0">
	                <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
		          Service Pack <xsl:value-of select="servpack"/>
	               </xsl:when>
	           <xsl:otherwise>
	           </xsl:otherwise>
	           </xsl:choose></FONT></B></FONT>
             </TH></TR> 

	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif;font-size:12pt; font-weight:bold; background-color =#C0D9E9">
 	     <TD>	
	        <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
  	        <B>IP Address :</B><xsl:value-of select="@Ip"/><br/>
 	     	
	        <xsl:if test="@State != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		 <B>State : </B><xsl:value-of select="@State"/><br/>
	        </xsl:if>

	        <xsl:if test="@Dns != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		   <B>DNS : </B><xsl:value-of select="@Dns"/><br/>
	        </xsl:if>

	        <xsl:if test="@MacAddress != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		  <B>MAC address : </B><xsl:value-of select="@MacAddress"/>
	         <xsl:if test="@MacVendor != ''">
	          <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
	            <B>MAC Vendor : </B><xsl:value-of select="@MacVendor"/>
	         </xsl:if>
	         <br/>
	        </xsl:if>

	        <xsl:if test="@FirewallRules != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		   <B>FirewallRules : </B><xsl:value-of select="@FirewallRules"/><br/>
	        </xsl:if>

	        <xsl:if test="@RiskHigh != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		   <B>Risk High : </B><xsl:value-of select="@RiskHigh"/><br/>
	        </xsl:if>

	        <xsl:if test="@RiskMedium != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		  <B>Risk Medium : </B><xsl:value-of select="@RiskMedium"/><br/>
	        </xsl:if>

	        <xsl:if test="@RiskLow != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		   <B>Risk Low : </B><xsl:value-of select="@RiskLow"/><br/>
	        </xsl:if>

	        <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		   <B>Operating System : </B><xsl:value-of select="@OS"/>
	       <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>

	        <xsl:choose>
	         <xsl:when test = "servpack > 0">
	          <B>Service Pack </B><xsl:value-of select="servpack"/><br/>
	         </xsl:when>
	         <xsl:otherwise>
	           <br/>
	         </xsl:otherwise>
	        </xsl:choose>

	        <xsl:if test="@Coutry != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		    <B>Coutry Settings : </B><xsl:value-of select="@Country"/><br/>
	        </xsl:if>

	        <xsl:if test="@Class != ''">
	         <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		   <B>Class : </B><xsl:value-of select="@Class"/><br/>
	        </xsl:if>
				
		<xsl:call-template name="ShareSettings"	         />
		<xsl:call-template name="HideShareSettings"      />
		<xsl:call-template name="RegistrySettings"       />
		<xsl:call-template name="InstallPatchesSettings" />
		<xsl:call-template name="MissingSecurityPatches" />
		<xsl:call-template name="ServicesSettings"       />
		<xsl:call-template name="RemoteProcSettings"     />
		<xsl:call-template name="PortSettings"	         />
		<BR></BR>
		<xsl:call-template name= "PortRelatedVulnerability" />
		<BR></BR>
	     </TD></TR>	

           </TABLE>	   
        </xsl:if>  
  </xsl:if>
</xsl:template>

<!-- ************************* Share settings information ************************************************  -->

<xsl:template name="ShareSettings">
  <xsl:param name ="shares_count" select="count( .//descendant::Shares/Share)" />

 <xsl:if test= "$shares_count > 0 and $show_shares = 1" >
       <BR></BR>      	
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
	       <TD align ="left" colspan="3">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size:13pt;">
		  <img src="images/share_1.gif"/><B>Shares</B> <xsl:value-of select="concat(' - ', $shares_count, '')" />
		</span> 
		</TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif;font-weight:bold; font-size:10pt;background-color =#7799cc">
            <TD>Share name</TD>
            <TD>Type</TD>    
            <TD>Display Names</TD>    
          </TR>
         <xsl:for-each select=".//descendant::Shares/Share" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif;font-size:10pt; background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="NetName" /></TD>
            <TD> <xsl:value-of select="Type" /></TD>
            <TD> <xsl:value-of select="DisplayType" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>
</xsl:template>

<!-- ************************* Hidden share settings information ************************************************  -->

<xsl:template name="HideShareSettings">
  <xsl:param name ="hide_shares_count" select="count( .//descendant::HideShares/Share)" />

 <xsl:if test= "$hide_shares_count > 0 and $show_shares = 1" >
       <BR></BR>    
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
       	       <TD align ="left" colspan="4">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		  <img src="images/share_1.gif"/><B>Hide Shares</B> <xsl:value-of select="concat(' - ', $hide_shares_count, '')" />
		</span>
	       </TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:12pt;background-color =#7799cc">
            <TD>Share name</TD>
            <TD>Share path</TD>    
            <TD>Current Uses</TD>    
            <TD>Disk Type</TD>    
          </TR>
         <xsl:for-each select=".//descendant::HideShares/Share" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt ;background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="NetName" /></TD>
            <TD> <xsl:value-of select="Path" /></TD>
            <TD> <xsl:value-of select="CurrentUses" /></TD>
            <TD> <xsl:value-of select="DiskType" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>
</xsl:template>

<!-- ************************* Service settings information ************************************************  -->

<xsl:template name="ServicesSettings">
 <xsl:param name ="service_count" select="count( .//descendant::ServiceEnum/Service)" />

 <xsl:if test= "$service_count > 0 and $show_services = 1" >
       <BR></BR> 
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
		<TD align ="left" colspan="5">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		  <img src="images/service_1.gif"/><B>Services</B> <xsl:value-of select="concat(' - ', $service_count, '')" />
		</span>
		</TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif;font-weight:bold; background-color =#7799cc">
            <TD>Service name</TD>
            <TD>Display name</TD>
            <TD>Service Type</TD>
            <TD>State</TD>    
            <TD>Port/Service</TD>    
          </TR>
         <xsl:for-each select=".//descendant::ServiceEnum/Service" >
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt; background-color =#e7e7e7" > 
            <TD> <xsl:value-of select="@Name" /></TD>
            <TD> <xsl:value-of select="@DisplayName" /></TD>
            <TD> <xsl:value-of select="@ServiceType" /></TD>
            <TD> <xsl:value-of select="@State" /></TD>
            <TD> <xsl:value-of select="concat( ancestor-or-self::Port/@num, '/' ,ancestor-or-self::Port/@name )" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>
</xsl:template>

<!-- ************************* Remote procedure settings information ************************************************  -->

<xsl:template name="RemoteProcSettings">
 <xsl:param name ="remoteproc_count" select="count( .//descendant::RemoteProcEnum/RemoteProc)" />

 <xsl:if test= "$remoteproc_count > 0 and $show_services = 1" >
      <BR></BR>
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="90%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:14pt;background-color =#7798af">
		<TD align ="left" colspan="2">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
	          <img src="images/service_1.gif"/><B>Remote Procedure Call</B> <xsl:value-of select="concat(' - ', $remoteproc_count, '')" />
		 </span>
		</TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:13pt;background-color =#7799cc">
            <TD>RPC ID</TD>
            <TD>Name</TD>
          </TR>
         <xsl:for-each select=".//descendant::RemoteProcEnum/RemoteProc" >
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt; background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="@Id" /></TD>
            <TD> <xsl:value-of select="@Name" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>
</xsl:template>

<!-- ************************* Registry settings information ************************************************  -->

<xsl:template name="RegistrySettings" >
 <xsl:param name ="common_reg_count" select="count( .//descendant::RegistryCommonInfo/RegEntry)" />
 <xsl:param name ="run_reg_count" select="count( .//descendant::RegistryRun/RegEntry)" />
 <xsl:param name ="log_reg_count" select="count( .//descendant::RegistryWinlogon/RegEntry)" />

 <xsl:if test= "$common_reg_count > 0 and $show_registry = 1" >
     <BR></BR>   
     <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
     	       <TD align ="left" colspan="2">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		<img src="images/reg_1.gif"/><B>Common Registry Information </B> <xsl:value-of select="concat(' - ', $common_reg_count, '')" />
		</span>
	       </TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; background-color =#7799cc">
            <TD>Key</TD>
            <TD>Value</TD>    
          </TR>
         <xsl:for-each select=".//descendant::RegistryCommonInfo/RegEntry" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt ;background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="@key" /></TD>
            <TD> <xsl:value-of select="@value" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>

 <xsl:if test= "$run_reg_count > 0 and $show_registry = 1" >
	 <BR></BR>
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
     	       <TD align ="left" colspan="2">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		  <img src="images/reg_1.gif"/><B>Registry Run Information </B> <xsl:value-of select="concat(' - ', $run_reg_count, '')" />
		</span>
		</TD>
	     </TR>

          <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7799cc">
            <TD>Key</TD>
            <TD>Value</TD>    
          </TR>
         <xsl:for-each select=".//descendant::RegistryRun/RegEntry" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt ;background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="@key" /></TD>
            <TD> <xsl:value-of select="@value" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>

 <xsl:if test= "$log_reg_count > 0 and $show_registry = 1" >
     <BR></BR>
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
      	       <TD align ="left" colspan="2">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		  <img src="images/reg_1.gif"/><B>Registry Win logon Information </B> <xsl:value-of select="concat(' - ', $log_reg_count, '')" />
		</span>	
		</TD>
	     </TR>

          <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7799cc">
            <TD>Key</TD>
            <TD>Value</TD>    
          </TR>
         <xsl:for-each select=".//descendant::RegistryWinlogon/RegEntry" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif;font-size:10pt ;background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="@key" /></TD>
            <TD> <xsl:value-of select="@value" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
 </xsl:if>
</xsl:template>

<!-- ************************* Installed patches settings information ************************************************  -->

<xsl:template name="InstallPatchesSettings" >
 <xsl:param name ="hot_fix_count" select="count( .//descendant::Installed_Patches/Hotfix)" />

 <xsl:if test= "$hot_fix_count > 0" >
     <BR></BR>     
     <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
     	       <TD align ="left" colspan="2">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		<img src="images/installed_patches.gif"/><B>Installed Patches </B> <xsl:value-of select="concat(' - ', $hot_fix_count, '')" />
		</span>
	       </TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; background-color =#7799cc">
            <TD>HotFix</TD>
            <TD>Description</TD>    
          </TR>
         <xsl:for-each select=".//descendant::Installed_Patches/Hotfix" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt ;background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="@name" /></TD>
            <TD> <xsl:value-of select="@desc" /></TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
   </xsl:if>
</xsl:template>

<!-- ************************* Missing Security patches settings information ************************************************  -->

<xsl:template name="MissingSecurityPatches" >
 <xsl:param name ="missing_secure_patch_count" select="count( .//descendant::Missing_Security_Patches/Vuln)" />

 <xsl:if test= "$missing_secure_patch_count > 0" >
     <BR></BR>     
     <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; background-color =#7798af">
     	       <TD align ="left" colspan="3">
		<span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		<img src="images/missing_patches.gif"/><B>Missing Security Patches </B> <xsl:value-of select="concat(' - ', $missing_secure_patch_count, '')" />
		</span>
	       </TD>
	     </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; background-color =#7799cc">
            <TD>Bulletin Rating</TD>
            <TD>Bulletin Info</TD>
            <TD>Bulletin Description</TD>    
          </TR>
         <xsl:for-each select=".//descendant::Missing_Security_Patches/Vuln" >
          <TR STYLE="border:none windowtext 0.2pt;padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt ;background-color =#e7e7e7"> 
            <TD> <xsl:value-of select="@risk" /></TD>
            <TD> 
		<BR><xsl:value-of select="@id" /> </BR>
		KB<xsl:value-of select="@KB" />
	    </TD>
            <TD> 
		<FONT color="red">
		<B>URL : </B></FONT>
                <A href="{@url}"><xsl:value-of select="child::link" /></A><br/>

		<FONT color="blue">
		<B>Date : </B></FONT>
		<xsl:value-of select="@date" /><br/>

		<FONT color="green">
		<B>Comment : </B></FONT>
		<xsl:value-of select="child::description" /><br/>

	    </TD>
          </TR>
           </xsl:for-each>
        </TBODY>
      </TABLE>
   </xsl:if>
</xsl:template>

<!-- ************************* Port(tcp,udp) settings information ************************************************  -->

<xsl:template name="PortSettings">
 <xsl:param    name = "porttype_name" />
  <xsl:variable name = "udp_port_count" select="count( .//Udp/Port)" />
  <xsl:variable name = "tcp_port_count" select="count( .//Tcp/Port)" />

  <xsl:if test= "$tcp_port_count > 0 and $show_tcp_ports = 1" >
     <BR></BR>	
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="2" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
        <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size=14pt;background-color =#7798af">
	  <TD align ="left" colspan="3">
	  <span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
	    <img src="images/ports_1.gif"/>
            <xsl:value-of select="concat('Tcp port - ', $tcp_port_count, ' ( open ports ) ')" />
	   </span>
	  </TD>
        </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:13pt;background-color =#7799cc">
            <TD align="center" >Port/Services</TD>
            <TD align="center" >Description</TD>    
            <TD align="center" >Security Issue</TD>    
          </TR>
	     <xsl:for-each select=".//Tcp/Port" >
	          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt;background-color =#e7e7e7"> 
	            <TD><A href="#{ concat('host:'../parent::Host/@Ip, '-port:'  ,@num ) }" ><xsl:value-of select="concat( @num, '/', @name ) " /></A></TD>
	            <TD> <xsl:value-of select="@desc" /></TD>
	             <xsl:variable name="tcp_vuln_ind" select="child::*" />
                      <xsl:choose>
			<xsl:when test="$tcp_vuln_ind !=0 ">
		            <TD><xsl:value-of select="name(( child::node() ) )" /></TD>			
			</xsl:when>
      			<xsl:otherwise >
		            <TD>No</TD>			
			</xsl:otherwise>
		      </xsl:choose>	         	
	         </TR>
	      </xsl:for-each>
        </TBODY>
      </TABLE>
   </xsl:if>

  <xsl:if test= "$udp_port_count > 0 and $show_udp_ports = 1" >
     <BR></BR>	
       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="2" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
        <TBODY>
        <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size=14pt;background-color =#7798af">
	  <TD align ="left" colspan="3">
	  <span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
	    <img src="images/ports_1.gif"/>
            <xsl:value-of select="concat('Udp port - ', $udp_port_count, ' ( open ports ) ')" />
	   </span>
	  </TD>
        </TR>
          <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:13pt;background-color =#7799cc">
            <TD align="center" >Port/Services</TD>
            <TD align="center" >Description</TD>    
            <TD align="center" >Security Issue</TD>    
          </TR>
	         <xsl:for-each select=".//Udp/Port" >
	          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt;background-color =#e7e7e7"> 
	            <TD><A href="#{ concat('host:'../parent::Host/@Ip, '-port:'  ,@num ) }" ><xsl:value-of select="concat( @num, '/', @name ) " /></A></TD>
	            <TD> <xsl:value-of select="@desc" /></TD>
	             <xsl:variable name="udp_vuln_ind" select="child::*" />
                      <xsl:choose>
			<xsl:when test="$udp_vuln_ind != 0">
		            <TD><xsl:value-of select="name(child::node())" /></TD>			
			</xsl:when>
      			<xsl:otherwise>
		            <TD>No</TD>			
			</xsl:otherwise>
		      </xsl:choose>	         	
	          </TR>
	         </xsl:for-each>
        </TBODY>
      </TABLE>
    </xsl:if>	

</xsl:template>

<!-- ************************* Vulnerability settings information ************************************************  -->

<xsl:template name="PortRelatedVulnerability">
  <xsl:variable  name="current_host" select="@Ip"  /> 

   <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="95%">
	  <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:14pt;background-color =#7798af">
	    <TD align ="left" colspan="5">
	     <span style="color:#000000: font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;">
		<B>Security Issues and Vulnerabilities</B>
	     </span>	
	    </TD>
	  </TR>
	  <TR STYLE="padding-right: 2px; padding-left: 2px; font-weight:bold; font-size:13pt; background-color =#7799cc">
            <TD align="center" >Vulnerability Type</TD>
            <TD align="center" >Port/Services</TD>
            <TD align="center" >Risk Type</TD>
            <TD align="center" >Name</TD>
            <TD align="center" >Security Issue</TD>    
          </TR>
             <xsl:for-each select=".//descendant::Port" >
	      <xsl:variable name="port_child_count" select="count( child::* )" />

	      <xsl:choose>
	         <xsl:when test="$port_child_count > 0">

             <xsl:for-each select=".//descendant::Vuln" >

	      <xsl:variable name="exclude_ind" select="name( parent::node( ))" />
	     <xsl:if test="$exclude_ind !='Missing_Security_Patches' "> 	

               <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt; background-color =#CDCDCD" > 
	         <TD> <xsl:value-of select="@type" /></TD>
	         <A name="{ concat( 'host:'$current_host, '-port:', ancestor-or-self::Port/@num ) }" >      
                 <TD> <xsl:value-of select="concat( ancestor-or-self::Port/@num, '/', ancestor-or-self::Port/@name ) " /></TD>
                 </A>
	         <TD> <xsl:value-of select="@risk" /></TD>
	         <TD> <xsl:value-of select="@name" /></TD>			
	         <TD>
	           <xsl:if test="@url != ''">
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		       <FONT color="red"><B> URL : </B></FONT>
                     <A href="{@url}"><xsl:value-of select="@url"/></A><br/>
	           </xsl:if>

	           <xsl:if test="@bugtraq != ''">
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		       <FONT color="green"><B> BUGTRAQ : </B></FONT>
                     <A href="{@bugtraq}"><xsl:value-of select="@bugtraq"/></A><br/>
	           </xsl:if>

	           <xsl:if test="@solution != ''">
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		       <FONT color="blue"><B> SOLUTION : </B></FONT>
                     <xsl:value-of select="@solution"/><br/>
	           </xsl:if>

	           <xsl:if test="@Banner != ''">
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		       <FONT color="black"><B> BANNER : </B></FONT>
                     <xsl:value-of select="@Banner"/><br/>
	           </xsl:if>

	           <xsl:if test="@comment != ''">
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		       <FONT color="white"><B>COMMENTS : </B></FONT>
                     <xsl:value-of select="@comment"/>
	           </xsl:if>

	           <xsl:if test="@file != ''">
		     <br/>
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		       <FONT color="black"><B>FILE : </B></FONT>
                     <xsl:value-of select="@file"/>
	           </xsl:if>
	        </TD>
	       </TR>
		</xsl:if>
             </xsl:for-each>

             <xsl:for-each select="child::*" >
	      <xsl:variable name="audit_ind" select="name( child::node() )" />
	     <xsl:if test="$audit_ind !='Vuln' "> 	
               <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt; background-color =#CDCDCD"> 
	         <TD>Information</TD>
	         <A name="{ concat( 'host:'$current_host, '-port:', ancestor-or-self::Port/@num ) }" >      
                 <TD> <xsl:value-of select="concat( ancestor-or-self::Port/@num, '/', ancestor-or-self::Port/@name ) " /></TD>
                 </A>
	         <TD>No</TD>
                 <TD><xsl:value-of select="../@desc"/></TD>
                 <TD>                   
                  <xsl:if test="self::MsRpcAudit !='' " >   
		   <xsl:if test="@Interfaces != '' " >	
		     <FONT color="blue">
		      <B>Interfaces:</B>                           
		      <xsl:value-of select="@Interfaces "/><br/>
                     </FONT>
                   </xsl:if>
	           <xsl:for-each select="child::UUID_IFID" >          	
	             <xsl:text disable-output-escaping="yes"> &#160;</xsl:text>
		      <FONT color="#800000">
		       <B><xsl:value-of select="name( self::node()) "/></B>
                      </FONT>
		      <B><xsl:value-of select="ID" /> = </B>		       		      
		      (<xsl:value-of select="self::node()/attribute::ID"/>)<br/>		      

	           <xsl:for-each select="child::PipeIfid" >          	
		     <FONT color="green">
		      <B>Pipe Interface ID :</B><br/>                           
                     </FONT>
		     <xsl:if test="child::Pipe != '' " >			      	
		     <FONT color="white">
		      <B>Pipe:</B>                           
                     </FONT>
		      <xsl:value-of select="child::Pipe" />:
               	       (<xsl:value-of select="child::Description" />)<br/> 		       		                                                           
                     </xsl:if>
		     <xsl:if test="child::Service != '' " >			      	
		     <FONT color="white">
		      <B>Service:</B>                           
                     </FONT>
		      <xsl:value-of select="child::Service" /><br/>
                     </xsl:if>
		     <xsl:if test="child::OS != '' " >			      	
		     <FONT color="white">
		      <B>Remote Operating System :</B>                           
                     </FONT>
		      <xsl:value-of select="child::OS" /><br/>
                     </xsl:if>
                   </xsl:for-each>   
	           </xsl:for-each>
		  </xsl:if>

                  <xsl:if test="self::SunRpcAudit !='' " >   
 	           <FONT color="green">
		     <B>SUN RPC Data :</B><br/>                           
                   </FONT>

	           <xsl:for-each select="child::RpcData" >          	
                     <xsl:for-each select="child::rpcEntry ">   
		   <FONT color="blue">
		     <br/><B>RpcEntry:</B></FONT><br/>
		   <FONT color="white">
		     <B>Program=</B>
		     <xsl:value-of select="@Program" /><br/>
		     <B>Version=</B>
		     <xsl:value-of select="@Version" /><br/>
		     <B>Protocol=</B>
		     <xsl:value-of select="@Protocol" /><br/>
		     <B>Port=</B>
		     <xsl:value-of select="@Port" /><br/>
		     <B>Description=</B>
		     <xsl:value-of select="@Description" /><br/>
		    </FONT>
                     </xsl:for-each>
		   </xsl:for-each>
                  </xsl:if>

                  <xsl:if test="self::SnmpAudit !='' " >   
 	             <FONT color="green">
		     <B>Enterprise :</B></FONT>
		     <xsl:value-of select="@Enterprise" /><br/>                           
		     <FONT color="green">
		     <B>Name : </B></FONT>
		     <xsl:value-of select="@Name" /><br/>                           
		     <FONT color="green">
		     <B>Type:</B></FONT>
		     <xsl:value-of select="@Type" /><br/><br/>                           

                     <xsl:for-each select="child::SnmpEntry" >   
		      <FONT color="blue">
		       <B><xsl:value-of select="name( self::node()) "/></B></FONT><br/>
		       <FONT color="white">
		       <B>Object ID=</B></FONT>
		       <xsl:value-of select="@Oid" /><br/>
		       <FONT color="white">
		       <B>Community=</B></FONT>
		       <xsl:value-of select="@Community" /><br/>
		       <FONT color="white">
		       <B>Description=</B></FONT>
		       <xsl:value-of select="@Value" /><br/>
		     </xsl:for-each>
                  </xsl:if>

                  <xsl:if test="self::UdpMsSqlAudit !='' " >   
		     <xsl:if test="child::MsSqlServer != '' " >			      	
		      <FONT color="cyan">
		       <B>MS SQL Server:</B></FONT>
		       <xsl:value-of select="child::MsSqlServer/@name" /><br/>
                     </xsl:if>

		     <xsl:if test="./descendant::ServerName != '' " >			      	
		      <FONT color="cyan">
		       <B>Server Name:</B></FONT>
		       <xsl:value-of select="./descendant::ServerName" /><br/>
                     </xsl:if>

		     <xsl:if test="./descendant::InstanceName != '' " >			      	
		      <FONT color="cyan">
		       <B>Instance Name:</B></FONT>
		       <xsl:value-of select="./descendant::InstanceName" /><br/>
                     </xsl:if>

		     <xsl:if test="./descendant::IsClustered != '' " >			      	
		      <FONT color="cyan">
		       <B>Cluseterd:</B></FONT>
		       <xsl:value-of select="./descendant::IsClustered" /><br/>
                     </xsl:if>

		     <xsl:if test="./descendant::Version != '' " >			      	
		      <FONT color="cyan">
		       <B>Version:</B></FONT>
		       <xsl:value-of select="./descendant::Version" /><br/>
                     </xsl:if>

		     <xsl:if test="./descendant::tcp != '' " >			      	
		      <FONT color="cyan">
		       <B>TCP port:</B></FONT>
		       <xsl:value-of select="./descendant::tcp" /><br/>
                     </xsl:if>

		     <xsl:if test="./descendant::np != '' " >			      	
		      <FONT color="cyan">
		       <B>Query:</B></FONT>
		       <xsl:value-of select="./descendant::np" /><br/>
                     </xsl:if>
                  </xsl:if>

                  <xsl:if test="self::NetBiosAudit !='' " >   

                   <xsl:for-each select="./child::NetMachineInfo" >   
	            <FONT color="red">
		      <B>NET MACHINE INFO :</B></FONT><br/>

		       <FONT color="white">
		       <B>Name=</B></FONT>
		       <xsl:value-of select="@Name" /><br/>

		       <FONT color="white">
		       <B>Type=</B></FONT>
		       <xsl:value-of select="@Type" /><br/>

		       <FONT color="white">
		       <B>Platform=</B></FONT>
		       <xsl:value-of select="@Platform" /><br/>

		       <FONT color="white">
		       <B>Version=</B></FONT>
		       <xsl:value-of select="@Version" /><br/>

		       <FONT color="white">
		       <B>Type ID=</B></FONT>
		       <xsl:value-of select="@TypeID" /><br/>

		       <FONT color="white">
		       <B>Comment=</B></FONT>
		       <xsl:value-of select="@Comment" /><br/>

		       <FONT color="white">
		       <B>Domain=</B></FONT>
		       <xsl:value-of select="@Domain" /><br/>

		       <FONT color="white">
		       <B>LAN Root=</B></FONT>
		       <xsl:value-of select="@LanRoot" /><br/>

		       <FONT color="white">
		       <B>Logged users=</B></FONT>
		       <xsl:value-of select="@LoggedUsers" /><br/>

		       <FONT color="white">
		       <B>Domain SID=</B></FONT>
		       <xsl:value-of select="@DomainSid" /><br/>
		   </xsl:for-each>

                   <xsl:for-each select="./child::DateTime" >   
	              <FONT color="red">
		      <B>Date Time :</B></FONT><br/>

		       <FONT color="white">
		       <B>Date=</B></FONT>
		       <xsl:value-of select="@Date" /><br/>

		       <FONT color="white">
		       <B>Time=</B></FONT>
		       <xsl:value-of select="@Time" /><br/>
		   </xsl:for-each>

                   <xsl:for-each select="./child::SecurityPolicy" >   
	            <FONT color="red">
		      <B>SECURITY POLICY :</B></FONT><br/>

                     <xsl:for-each select="./child::Policy" >   
		      <FONT color="blue">
		       <B><xsl:value-of select="name( self::node()) "/></B></FONT><br/>

		       <FONT color="white">
		       <B>Name=</B></FONT>
		       <xsl:value-of select="@Name" /><br/>

		       <FONT color="white">
		       <B>Settings=</B></FONT>
		       <xsl:value-of select="@Setting" /><br/>
		      </xsl:for-each>
		   </xsl:for-each>

                     <xsl:for-each select="./descendant::NetBiosName" >   
		      <FONT color="blue">
		       <B><xsl:value-of select="name( self::node()) "/></B></FONT><br/>

		       <FONT color="white">
		       <B>Number=</B></FONT>
		       <xsl:value-of select="./child::Num" /><br/>

		       <FONT color="white">
		       <B>Name=</B></FONT>
		       <xsl:value-of select="./child::Name" /><br/>

		       <FONT color="white">
		       <B>Name number=</B></FONT>
		       <xsl:value-of select="./NameNum" /><br/>

		       <FONT color="white">
		       <B>Group=</B></FONT>
		       <xsl:value-of select="./child::Group" /><br/>

		       <FONT color="white">
		       <B>Status=</B></FONT>
		       <xsl:value-of select="./child::Status" /><br/>

		       <FONT color="white">
		       <B>Description=</B></FONT>
		       <xsl:value-of select="./child::Description" /><br/>
		     </xsl:for-each>

                       <xsl:for-each select="./child::users" >   		         
		          <FONT color="red">
		           <B>USERS :</B></FONT><br/>

	  	           <xsl:for-each select="./descendant::user" >

		            <FONT color="blue">
		             <br/><B>User=</B></FONT>
		             <xsl:value-of select="@name" /><br/>

		            <FONT color="white">
		             <B>User Name=</B></FONT>
		             <xsl:value-of select="@name" /><br/>

		            <FONT color="white">
		             <B>Full Name=</B></FONT>
		             <xsl:value-of select="@fullname" /><br/>

		            <FONT color="white">
		             <B>Description=</B></FONT>
		             <xsl:value-of select="@desc" /><br/>

		            <FONT color="white">
		             <B>ID=</B></FONT>
		             <xsl:value-of select="@id" /><br/>

		            <FONT color="white">
		             <B>Enabled=</B></FONT>
		             <xsl:value-of select="@enabled" /><br/>

		            <FONT color="white">
		             <B>SID=</B></FONT>
		             <xsl:value-of select="@sid" /><br/>

		            <FONT color="white">
		             <B>Type=</B></FONT>
		             <xsl:value-of select="@Type" /><br/>

		            <FONT color="white">
		             <B>Domain=</B></FONT>
		             <xsl:value-of select="@Domain" /><br/>

	  	           <xsl:for-each select="./child::userflag" >
		            <FONT color="white">
		             <B>User flag=</B></FONT>
		             <xsl:value-of select="self::node()" /><br/>
			   </xsl:for-each>	
	  	           </xsl:for-each> 
 		       </xsl:for-each>	

                       <xsl:for-each select="./child::userlogs" >   		         
		          <FONT color="red">
		           <B>USER LOGS :</B></FONT><br/>

	  	           <xsl:for-each select="./descendant::userlog" >
		            <FONT color="white">
		             <B>User Name=</B></FONT>
		             <xsl:value-of select="@name" /><br/>

		            <FONT color="white">
		             <B>Description=</B></FONT>
		             <xsl:value-of select="@desc" /><br/>

		            <FONT color="white">
		             <B>Privilege=</B></FONT>
		             <xsl:value-of select="@Privilege" /><br/>

		            <FONT color="white">
		             <B>Logon Servers=</B></FONT>
		             <xsl:value-of select="./child::Logon_Server" /><br/>

		            <FONT color="white">
		             <B>Maximum Storage=</B></FONT>
		             <xsl:value-of select="./child::Max_Storage" /><br/>

		            <FONT color="white">
		             <B>Last changed password=</B></FONT>
		             <xsl:value-of select="./child::Password_Last_changed" /><br/>

		            <FONT color="white">
		             <B>Last Login=</B></FONT>
		             <xsl:value-of select="./child::Last_Login" /><br/>

		            <FONT color="white">
		             <B>Goog Logins=</B></FONT>
		             <xsl:value-of select="./child::Good_logins" /><br/>

		            <FONT color="white">
		             <B>Bad Logins=</B></FONT>
		             <xsl:value-of select="./child::Bad_logins" /><br/>

	  	           <xsl:for-each select="./child::userflag" >
		            <FONT color="white">
		             <B>User flag=</B></FONT>
		             <xsl:value-of select="./child::flag" /><br/>
			   </xsl:for-each>	

	  	           </xsl:for-each> 
 		       </xsl:for-each>	

                       <xsl:for-each select="./child::groups" >   		         
		          <FONT color="red">
		           <B>GROUPS :</B></FONT><br/>
	  	           <xsl:for-each select="./descendant::group" >

		            <FONT color="white">
		             <B>Group Name=</B></FONT>
		             <xsl:value-of select="@name" /><br/>

		            <FONT color="white">
		             <B>Description=</B></FONT>
		             <xsl:value-of select="@desc" /><br/>

		            <FONT color="white">
		             <B>ID=</B></FONT>
		             <xsl:value-of select="@id" /><br/>

	  	           <xsl:for-each select="./child::groupflag" >
		            <FONT color="white">
		             <B>Group flag=</B></FONT>
		             <xsl:value-of select="self::node()" /><br/>
			   </xsl:for-each>	

	  	           </xsl:for-each> 
 		       </xsl:for-each>	
                  </xsl:if>
 	         </TD>	
		</TR>
	     </xsl:if>		      	        
             </xsl:for-each>

              </xsl:when>
           <xsl:otherwise>

               <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-size:10pt; background-color =#CDCDCD"> 
	         <TD>Information</TD>
	         <A name="{ concat( 'host:'$current_host, '-port:', ancestor-or-self::Port/@num ) }" >      
                 <TD> <xsl:value-of select="concat( ancestor-or-self::Port/@num, '/', ancestor-or-self::Port/@name ) " /></TD>
                 </A>
	         <TD>No</TD>
                 <TD><xsl:value-of select="ancestor-or-self::Port/@desc"/></TD>
		 <TD><B>No vulnerability found</B></TD>
		</TR>

           </xsl:otherwise>
          </xsl:choose>
             </xsl:for-each>
      </TABLE>
</xsl:template>

<!-- ************************* Main features of host list ************************************************  -->

<xsl:template name="GetHostInfo" >  

     <BR></BR>
     <xsl:call-template name="Generallnfo"         />

     <xsl:for-each select="Nsauditor/Hosts/Host">
	<BR></BR>
	<xsl:call-template name="HostMainInfo"        />
     </xsl:for-each>
</xsl:template>

<!-- ************************* Scanned Host's list ************************************************  -->

<xsl:template name="Generallnfo" >  

     <xsl:for-each select="Nsauditor/Hosts">
       <TABLE align ="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="100%">	
	    <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;background-color =#7799bb">
	       <TD align="center"><B>Auditor Report</B>(<xsl:value-of select="../@created" />)</TD>
	     </TR>
	     <TR>   
	        <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="100%">	  
	          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 11pt; background-color =#7799cc">
	             <TD align= "center" >Host Profile</TD> 
	             <TD align ="center" >IP Range</TD> 
	             <TD align ="center" >Host Count</TD> 
	             <TD align ="center" >TCP Port Count</TD> 		
	             <TD align ="center" >UDP Port Count</TD> 
	             <TD align ="center" >Risc High</TD> 	
	             <TD align ="center" >Risk Medium</TD> 
	             <TD align ="center" >Risk Low</TD> 
	          </TR>
	          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 10pt;background-color =#e7e7e7">
        	   <TD align ="left" ><xsl:value-of select="@Profile"/></TD>
        	   <TD align ="left" >
			<xsl:value-of select="@StartIp"/>..
	        	<xsl:value-of select="@EndIp"/>
		   </TD>
        	   <TD align ="left" ><xsl:value-of select="@HostCount"/></TD>
        	   <TD align ="left" ><xsl:value-of select="@TcpPortsCount"/></TD>
        	   <TD align ="left" ><xsl:value-of select="@UdpPortsCount"/></TD>
        	   <TD align ="left" ><xsl:value-of select="@RiskHigh"/></TD>
        	   <TD align ="left" ><xsl:value-of select="@RiskMedium"/></TD>
        	   <TD align ="left" ><xsl:value-of select="@RiskLow"/></TD>
		  </TR>	
	       </TABLE>
            </TR>
          </TBODY>
        </TABLE>

	<BR></BR>
	
       <TABLE align ="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="100%">	
	    <TBODY>
	     <TR STYLE="border:none windowtext 2pt; padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 12pt;background-color =#7799bb">
	       <TD align="center"><B>Scanned Host(s)</B></TD>
	     </TR>
	     <TR>   
	       <TABLE align="center" style="BORDER-COLLAPSE: collapse"  BORDER="1" CELLSPACING="0" CELLPADDING="1" WIDTH="100%">	  
	          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 11pt; background-color =#7799cc">
	             <TD align= "center" >Host IP</TD> 
	             <TD align= "center" >Operation System</TD> 
	             <TD align ="center" >Possible Issue</TD> 
	          </TR>
	         <xsl:for-each select="Host">
	          <TR STYLE="padding-right: 2px; padding-left: 2px; font-family:tahoma,courrier,arial,helvetica,sans-serif; font-weight:bold; font-size: 10pt; background-color =#e7e7e7">
          	     <TD align = "center" ><A href="#{@Ip}" ><xsl:value-of select="@Ip"/></A></TD>
	             <TD align = "center" ><xsl:value-of select="@OS"/></TD> 
	             <TD align = "center" ><xsl:value-of select="@FirewallRules"/></TD> 
	          </TR>
	         </xsl:for-each>
	        </TABLE>
          </TR>
          </TBODY>
        </TABLE>
	</xsl:for-each>

</xsl:template>

</xsl:stylesheet>
